dane_raw_tlsa(3)

NAME
dane_raw_tlsa - API function

SYNOPSIS
#include <gnutls/dane.h>

int dane_raw_tlsa(dane_state_t s, dane_query_t * r, char *const * dane_data, const int * dane_data_len, int secure, int bogus);

ARGUMENTS

dane_state_t s
    The DANE state structure

dane_query_t * r
    A structure to place the result

char *const * dane_data
    array of DNS rdata items, terminated with a NULL pointer; caller must guarantee that the referenced data remains valid until dane_query_deinit() is called.

const int * dane_data_len
    the length n bytes of the dane_data items

int secure
    true if the result is validated securely, false if validation failed or the domain queried has no security info

int bogus
    if the result was not secure (secure = 0) due to a security failure, and the result is due to a security failure, bogus is true.

DESCRIPTION
This function will fill in the TLSA (DANE) structure from the given raw DNS record data. The dane_data must be valid during the lifetime of the query.

RETURNS
On success, DANE_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/